Get filters with criteria
curl --request POST \
--url https://product-api.thedatacity.com/api/v2/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rtics": [
"<string>"
],
"cics": [
"<string>"
],
"CompanyNumbers": [
"<string>"
],
"CompanyNumberSetId": "<string>",
"AllowLargeAnalysis": true
}
'import requests
url = "https://product-api.thedatacity.com/api/v2/filters"
payload = {
"rtics": ["<string>"],
"cics": ["<string>"],
"CompanyNumbers": ["<string>"],
"CompanyNumberSetId": "<string>",
"AllowLargeAnalysis": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rtics: ['<string>'],
cics: ['<string>'],
CompanyNumbers: ['<string>'],
CompanyNumberSetId: '<string>',
AllowLargeAnalysis: true
})
};
fetch('https://product-api.thedatacity.com/api/v2/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://product-api.thedatacity.com/api/v2/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rtics' => [
'<string>'
],
'cics' => [
'<string>'
],
'CompanyNumbers' => [
'<string>'
],
'CompanyNumberSetId' => '<string>',
'AllowLargeAnalysis' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://product-api.thedatacity.com/api/v2/filters"
payload := strings.NewReader("{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://product-api.thedatacity.com/api/v2/filters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://product-api.thedatacity.com/api/v2/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}"
response = http.request(request)
puts response.read_body{}filters
Get filters with criteria
POST
/
v2
/
filters
Get filters with criteria
curl --request POST \
--url https://product-api.thedatacity.com/api/v2/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rtics": [
"<string>"
],
"cics": [
"<string>"
],
"CompanyNumbers": [
"<string>"
],
"CompanyNumberSetId": "<string>",
"AllowLargeAnalysis": true
}
'import requests
url = "https://product-api.thedatacity.com/api/v2/filters"
payload = {
"rtics": ["<string>"],
"cics": ["<string>"],
"CompanyNumbers": ["<string>"],
"CompanyNumberSetId": "<string>",
"AllowLargeAnalysis": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rtics: ['<string>'],
cics: ['<string>'],
CompanyNumbers: ['<string>'],
CompanyNumberSetId: '<string>',
AllowLargeAnalysis: true
})
};
fetch('https://product-api.thedatacity.com/api/v2/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://product-api.thedatacity.com/api/v2/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rtics' => [
'<string>'
],
'cics' => [
'<string>'
],
'CompanyNumbers' => [
'<string>'
],
'CompanyNumberSetId' => '<string>',
'AllowLargeAnalysis' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://product-api.thedatacity.com/api/v2/filters"
payload := strings.NewReader("{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://product-api.thedatacity.com/api/v2/filters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://product-api.thedatacity.com/api/v2/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rtics\": [\n \"<string>\"\n ],\n \"cics\": [\n \"<string>\"\n ],\n \"CompanyNumbers\": [\n \"<string>\"\n ],\n \"CompanyNumberSetId\": \"<string>\",\n \"AllowLargeAnalysis\": true\n}"
response = http.request(request)
puts response.read_body{}Authorizations
Body
application/json
Optional criteria. Full field list is under Schema (Example Value may be auto-generated).
Response
200 - application/json
Filter metadata from the product API.
JSON object returned from the upstream product API with no extra shaping by this gateway. Exact properties depend on the operation. Fields may be omitted when the token lacks optional scopes (see config/api.php scope_field_map).
Was this page helpful?